# $Revision: 1.37 $, $Date: 2008-01-19 20:11:01 $
Summary:	NIS (or YP) client programs
Summary(de.UTF-8):	NIS (YP)-Clients
Summary(es.UTF-8):	Clientes NIS (YP)
Summary(fr.UTF-8):	Clients NIS (YP)
Summary(ja.UTF-8):	NIS (または YP)クライアントプログラム
Summary(pl.UTF-8):	Klienci NIS (YP)
Summary(pt_BR.UTF-8):	Clientes NIS (YP)
Summary(ru.UTF-8):	Клиентские программы NIS (или YP)
Summary(tr.UTF-8):	NIS (YP) istemcileri
Summary(uk.UTF-8):	Клієнтські програми NIS (або YP)
Summary(zh_CN.UTF-8):	NIS(或者 YP)客户端程序
Name:		yp-tools
Version:	2.10
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://ftp.kernel.org/pub/linux/utils/net/NIS/%{name}-%{version}.tar.bz2
# Source0-md5:	c1bc7ea2339c766d8e6dffd3f5f2e8e1
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	44a8ee872fa7a8df95ce311356a3cb95
Patch0:		%{name}-2.7-md5.patch
URL:		http://www-vt.uni-paderborn.de/~kukuk/linux/nis.html
BuildRequires:	autoconf
BuildRequires:	automake >= 1.5
BuildRequires:	gettext-devel
Requires:	ypbind
Obsoletes:	yp-clients
Obsoletes:	yppasswd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network. NIS can enable users
to login on any machine on the network, as long as the machine has the
NIS client programs running and the user's password is recorded in the
NIS passwd database. NIS was formerly known as Sun Yellow Pages (YP).

This package's NIS implementation is based on FreeBSD's YP and is a
special port for glibc 2.x and libc versions 5.4.21 and later. This
package only provides the NIS client programs. In order to use the
clients, you'll need to already have an NIS server running on your
network. An NIS server is provided in the ypserv package.

Install the yp-tools package if you need NIS client programs for
machines on your network. You will also need to install the ypbind
package on every machine running NIS client programs. If you need an
NIS server, you'll need to install the ypserv package on one machine
on the network.

%description -l de.UTF-8
Diese Implementierung von NIS für Linux basiert auf dem YP-Material
für FreeBSD.

Diese Implementierung stellt nur NIS-_Clients_ zur Verfügung. Es muß
irgendwo bereits ein NIS-Server laufen.

%description -l es.UTF-8
Esta implementación de NIS para Linux está basada en el YP para
FreeBSD. Es un porte especial para glibc 2.x y libc $>$=5.4.21. Esta
implementación solamente provee clientes NIS. Debes tener un servidor
NIS ejecutando en alguna máquina. Puedes encontrar uno para Linux en
http://www-vt.uni-paderborn.de/\~kukuk/Linux/nis.html. Por Favor, lee
también NIS-HOWTO.

%description -l fr.UTF-8
Implantation de NIS pour Linux basée sur l'YP de FreeBSD.

Cette implantation n'offre que les *clients* NIS. Vous devez avoir un
serveur NIS qui tourne.

%description -l pl.UTF-8
NIS (Network Information Service - sieciowy system informacji) jest
systemem dostarczającym przez informacje sieciowe (loginy, hasła,
katalogi domowe, grupy użytkowników) do wszystkich maszyn w sieci. NIS
może pozwalać użytkownikom logować się na dowolną maszynę w sieci o
ile na tej maszynie działają programy klienckie NIS i hasło
użytkownika jest zapisane w bazie NIS passwd. NIS był wcześniej znany
jako Sun Yellow Pages (YP).

Implementacja NIS z tego pakietu bazuje na YP z FreeBSD. Ten pakiet
zawiera tylko klientów NIS. Aby używać klientów, musisz mieć gdzieś w
sieci działający serwer NIS - ten znajduje się w pakiecie ypserv.

Zainstaluj pakiet yp-tools jeżeli potrzebujesz programów klienckich
NIS. Będziesz potrzebował zainstalować też pakiet ypbind na każdej
maszynie z klientami NIS. Jeżeli potrzebujesz serwer NIS, zainstaluj
pakiet ypserv na jednej maszynie w sieci.

%description -l pt_BR.UTF-8
Esta implementação de NIS para Linux é baseada no YP para FreeBSD. Ele
é um porte especial para glibc 2.x e libc >=5.4.21.

Esta implementação somente provê clientes NIS. Você deve ter um
servidor NIS rodando em alguma máquina. Você pode encontrar um para o
Linux em http://www-vt.uni-paderborn.de/~kukuk/Linux/nis.html. Por
favor leia também o NIS-HOWTO.

%description -l ru.UTF-8
Network Information Service (NIS) - это система, предоставляющая
сетевую информацию (имена пользователей, пароли, домашние каталоги,
информацию о группах) всем машинам сети. NIS позволяет пользователям
логиниться на любой машине в сети если на этой машине запущены
клиентские программы NIS и пароль пользователя внесен в базу данных
паролей NIS. NIS также известен как Sun Yellow Pages (YP).

Данная реализация NIS основана на YP из FreeBSD и специально
портирована под glibc 2.x и libc версий 5.4.21 или позже. Это пакет
содержит только клиентские программы NIS. Для того, чтобы использовать
эти клиенты, необходимо чтобы где-то в сети работал сервер NIS. Такой
сервер включен в пакет ypserv.

Установите пакет yp-tools на всех машинах, которые запускают
клиентские программы NIS. Если вам нужен NIS-сервер, вам также
необходимо установить пакет ypserv на какой-то из машин вашей сети.

%description -l tr.UTF-8
Bu paket Linux için bir NIS uyarlamasının yalnızca istemci kısımlarını
içermektedir. Bu hizmetten yararlanabilmek için çalışan bir NIS
sunucusuna gerek vardır.

%description -l uk.UTF-8
Network Information Service (NIS) - це система, яка надає мережеву
інформацію (імена користувачів, паролі, домашні каталоги, інформацію
про групи) всім машинам мережі. NIS дозволяє користувачам логінитися
на будь-якій машині мережі якщо на цій машині запущені клієнтські
програми NIS і пароль користувача внесений до бази даних паролів NIS.
NIS також відомий як Sun Yellow Pages (YP).

Ця реалізація NIS базована на YP з FreeBSD і спеціально портована під
glibc 2.x та libc версій 5.4.21 та старше. Цей пакет містить тільки
клієнтські програми NIS. Для того, щоб використовувати ці клієнти,
необхідно щоб десь у мережі працював сервер NIS. Такий сервер
міститься у пакеті ypserv.

Встановіть пакет yp-tools на усіх машинах, які запускають клієнтські
програми NIS. Якщо вам потрібен NIS-сервер, вам також необхідно
встановити пакет ypserv на якійсь з машин вашої мережі.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-domainname
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog NEWS THANKS TODO etc/nsswitch.conf
%attr(755,root,root) %{_bindir}/yp*
%attr(755,root,root) %{_sbindir}/yp*
%{_mandir}/man1/yp*.1*
%{_mandir}/man5/nicknames.5*
%{_mandir}/man8/yp*.8*
%lang(fi) %{_mandir}/fi/man1/yp*.1*
%lang(ja) %{_mandir}/ja/man1/yp*.1*
%lang(ja) %{_mandir}/ja/man5/nicknames.5*
%lang(ja) %{_mandir}/ja/man8/yp*.8*
%lang(pl) %{_mandir}/pl/man1/yp*.1*
/var/yp/nicknames

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yp-tools.spec,v $
Revision 1.37  2008-01-19 20:11:01  qboosh
- updated to 2.10

Revision 1.36  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.34  2004/08/14 16:16:57  misi3k
- updated to 2.9

Revision 1.33  2003/07/05 23:16:47  areq
- 2.8
- add yp-tools-2.7-md5.patch from redhat

Revision 1.32  2003/06/02 15:48:34  ankry
- added/restored non-english-man-pages URL

Revision 1.31  2003/05/28 13:03:16  malekith
- massive attack: source-md5

Revision 1.30  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.29  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/06/05 18:27:45  kloczek
- updated to 2.7,
- added ac/am cleanups (am_ac_cleanups patch - posted to Thorsten :),
- use new %doc,
- merge translations from TurboLinux,
- removed passwd patch.

Revision 1.26  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/05/12 13:49:36  kloczek
- release 5,
- merge translations from KSI and TurboLinux,
- passwd patch is back (new version from rawhide).

Revision 1.24  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.23  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/23 05:22:44  kloczek
- updated to 2.6 (release 2),
- merged translations from Conectiva.

Revision 1.19  2001/11/19 07:16:51  ankry
- added fi, ja, pl man pages
- release 3

Revision 1.18  2001/10/10 14:03:03  qboosh
- adapterized, pl translations, BuildRequires: autoconf,automake

Revision 1.17  2001/09/17 11:03:07  blues
- Release 2
- ac2.5 ready

Revision 1.16  2001/04/07 15:47:08  kloczek
- updated to 2.5.

Revision 1.15  2000/11/04 14:45:11  kloczek
- release 7,
- merge RH patches,
- use new rpm automation.

Revision 1.14  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/31 12:06:45  kloczek
- release 2,
- crrected Group,
- added de, fr, tr translations from BeroLinux spec file,
- pass LDFLAGS="-s" to ./configure instead stripping in %install,
- spec adapterized,
- simplifications in %files,
- removed COPYING from %doc (clear copyright statment is in License field).

Revision 1.11  2000/05/30 16:15:49  baggins
- updated to 2.4

Revision 1.10  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:06:29  kloczek

- added using CVS keywords in %changelog (for automating them).

* Wed Jun 23 1999 Jan Rękorajski <baggins@pld.org.pl>
  [2.3-1]
- FHS 2.0
- macros

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2
- make it obsolete older yp-clients package

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2/1
- version 2.1
- require ypbind

* Fri Jun 12 1998 Aron Griffis <agriffis@coat.com>
- upgraded to 2.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.4.1

* Thu Dec 04 1997 Cristian Gafton <gafton@redhat.com>
- put yppasswd again in the package, 'cause it is the right thing to do
  (sorry djb!)
- obsoletes old, unmaintained yppasswd package

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- removed yppasswd from this package.

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- pulled from contrib into distribution (got fresh sources).  Thanks
  to Thorsten Kukuk <kukuk@vt.uni-paderborn.de> for the original.
- used fresh sources
